ubuntu-themes should support GTK 3.20

Bug #1593048 reported by Jeremy Bicha on 2016-06-16
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
arc-theme (Ubuntu)
High
Unassigned
breeze-gtk (Ubuntu)
High
Unassigned
lubuntu-artwork (Ubuntu)
High
Redwolf
mate-themes (Ubuntu)
High
Martin Wimpress
ubuntu-mate-artwork (Ubuntu)
High
Martin Wimpress
ubuntu-themes (Ubuntu)
High
Unassigned
ubuntukylin-theme (Ubuntu)
Undecided
zhangchao

Bug Description

This is a tracking bug. ubuntu-themes needs to be updated to support GTK+ 3.20 before GTK+ 3.20 can land in Ubuntu.

Some initial work has been done at
https://code.launchpad.net/~laney/ubuntu-themes/gtk320

If you would like to help, please contact the Ubuntu Desktop Team.

Changed in ubuntu-themes (Ubuntu):
importance: Undecided → High
status: New → Triaged
Iain Lane (laney) on 2016-07-29
tags: added: block-proposed
Changed in mate-themes (Ubuntu):
status: New → Triaged
assignee: nobody → Martin Wimpress (flexiondotorg)
importance: Undecided → High
Changed in ubuntu-mate-artwork (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Martin Wimpress (flexiondotorg)
Jeremy Bicha (jbicha) on 2016-07-29
Changed in breeze-gtk (Ubuntu):
status: New → Triaged
Changed in arc-theme (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in breeze-gtk (Ubuntu):
importance: Undecided → High
Jeremy Bicha (jbicha) on 2016-08-01
Changed in arc-theme (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2016-08-02
Changed in breeze-gtk (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2016-08-02
Changed in ubuntu-themes (Ubuntu):
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2016-08-02
Changed in lubuntu-artwork (Ubuntu):
status: New → Triaged
importance: Undecided → High
Redwolf (viking.redwolf) on 2016-08-02
Changed in lubuntu-artwork (Ubuntu):
assignee: nobody → Rafael Laguna (rafaellaguna)
status: Triaged → Fix Committed
Jeremy Bicha (jbicha) on 2016-08-04
Changed in mate-themes (Ubuntu):
status: Triaged → Fix Committed
Iain Lane (laney) wrote :

Moving things in

tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package arc-theme - 20160605-2build1

---------------
arc-theme (20160605-2build1) yakkety; urgency=medium

  * No-change rebuild for GTK 3.20 support (LP: #1593048)

 -- Jeremy Bicha <email address hidden> Mon, 01 Aug 2016 09:40:57 -0400

Changed in arc-theme (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mate-themes - 3.20.10-0ubuntu1

---------------
mate-themes (3.20.10-0ubuntu1) yakkety; urgency=medium

  * New upstream release. (LP: #1593048)
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.
  * debian/watch:
    + Update to new version numbering.

 -- Martin Wimpress <email address hidden> Fri, 29 Jul 2016 13:54:44 +0100

Changed in mate-themes (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+16.10.20160804-0ubuntu1

---------------
ubuntu-themes (16.10+16.10.20160804-0ubuntu1) yakkety; urgency=medium

  [ Iain Lane ]
  * Fix version scheme
  * Ambiance, Radiance: Port to work with GTK 3.20. (LP: #1593048)

 -- <email address hidden> (<email address hidden>) Thu, 04 Aug 2016 16:38:36 +0000

Changed in ubuntu-themes (Ubuntu):
status: Fix Committed → Fix Released
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1593048

tags: added: iso-testing
zhangchao (zctgbhu) on 2016-08-16
no longer affects: ubuntu-themes
Changed in ubuntukylin-theme (Ubuntu):
assignee: nobody → zhangchao (zctgbhu)
status: New → In Progress
Changed in ubuntu-mate-artwork (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-artwork - 16.10.6

---------------
ubuntu-mate-artwork (16.10.6) yakkety; urgency=medium

  * Update Ubuntu MATE themes to support GTK 3.20. (LP: #1593048)

 -- Martin Wimpress <email address hidden> Wed, 17 Aug 2016 13:10:02 +0100

Changed in ubuntu-mate-artwork (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package breeze-gtk - 5.7.2-0ubuntu2

---------------
breeze-gtk (5.7.2-0ubuntu2) yakkety; urgency=medium

  * Cherry picking from Debian, breeze-gtk.git commit = be22019
    use GTK 3.20, closes (LP: #1593048)

 -- Clive Johnston <email address hidden> Tue, 02 Aug 2016 00:58:43 +0100

Changed in breeze-gtk (Ubuntu):
status: Fix Committed → Fix Released
Aron Xu (happyaron) on 2016-08-23
Changed in ubuntukylin-theme (Ubuntu):
status: In Progress → Fix Released
Julien Lavergne (gilir) on 2016-08-27
Changed in lubuntu-artwork (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers